# -*- encoding : utf-8 -*-
class CreateJobApplications < ActiveRecord::Migration
  def self.up
    create_table :job_applications do |t|
      t.text :motivation
      t.integer :priority

      t.references :applicant, foreign_key: { dependent: :delete }
      t.references :job, foreign_key: { dependent: :delete }

      t.timestamps
    end
  end

  def self.down
    drop_table :job_applications
  end
end
